Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

## Class MergeConflictingRunnable

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.AbstractMergeRunnable
  - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.MergeConflictingRunnable

All Implemented Interfaces:
  `IMergeRunnable`

    public class MergeConflictingRunnable
    extends AbstractMergeRunnable
    implements IMergeRunnable

Implements the "merge all contained conflicting" action.

### Constructor Summary

Constructors
`MergeConflictingRunnable​(boolean isLeftEditable, boolean isRightEditable, MergeMode mergeMode, IDiffRelationshipComputer diffRelationshipComputer)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `merge​(List<? extends Diff> differences, boolean leftToRight, IMerger.Registry mergerRegistry)` Execute the merge operation.

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions.AbstractMergeRunnable

`getDiffRelationshipComputer, getMergeMode, isLeftEditable, isRightEditable, markAllAsMerged, markAsMerged, mergeAll`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeConflictingRunnable

    public MergeConflictingRunnable​(boolean isLeftEditable,
                                    boolean isRightEditable,
                                    MergeMode mergeMode,
                                    IDiffRelationshipComputer diffRelationshipComputer)

Default constructor.

Parameters:
  `isLeftEditable` - Whether the left side of the comparison we're operating on is editable.
  `isRightEditable` - Whether the right side of the comparison we're operating on is editable.
  `mergeMode` - Merge mode for this operation.
  `diffRelationshipComputer` - The diff relationship computer used to find resulting merges and rejections.

### Method Detail

#### merge

    public void merge​(List<? extends Diff> differences,
                      boolean leftToRight,
                      IMerger.Registry mergerRegistry)

Execute the merge operation.

Specified by:
  `merge` in interface `IMergeRunnable`
Parameters:
  `differences` - the differences to merge.
  `leftToRight` - whether the differences have to be merge from left to right or right to left.
  `mergerRegistry` - the merger registry to query to get the appropriate mergers for each difference to be merged.